--- old/usr/src/cmd/hwdata/usb.ids	Mon Oct  5 16:30:09 2015
+++ new/usr/src/cmd/hwdata/usb.ids	Mon Oct  5 16:30:09 2015
@@ -9,8 +9,8 @@
 #	The latest version can be obtained from
 #		http://www.linux-usb.org/usb.ids
 #
-# Version: 2015.03.17
-# Date:    2015-03-17 20:34:06
+# Version: 2015.09.28
+# Date:    2015-09-28 20:34:09
 #
 
 # Vendors, devices and interfaces. Please keep sorted.
@@ -26,7 +26,7 @@
 0003  Club Mac
 0004  Nebraska Furniture Mart
 0011  Unknown
-	7788  Flash mass storage drive
+	7788  counterfeit flash drive
 0053  Planex
 	5301  GW-US54ZGL 802.11bg
 0079  DragonRise Inc.
@@ -176,6 +176,7 @@
 	011d  Bluetooth 1.2 Interface [Broadcom BCM2035]
 	0121  HP49g+ Calculator
 	0122  HID Internet Keyboard
+	0125  DAT72 Tape
 	0139  Barcode Scanner 4430
 	0201  ScanJet 6200c
 	0202  PhotoSmart S20
@@ -187,6 +188,7 @@
 	0212  DeskJet 1220C
 	0217  LaserJet 2200
 	0218  APOLLO P2500/2600
+	0221  StreamSmart 400 [F2235AA]
 	022a  Laserjet CP1525nw
 	0241  Link-5 micro dongle
 	0304  DeskJet 810c/812c
@@ -224,6 +226,7 @@
 	0701  ScanJet 5300c/5370c
 	0704  DeskJet 825c
 	0705  ScanJet 4400c
+	070c  Personal Media Drive
 	0711  OfficeJet K80
 	0712  DeskJet 1180c
 	0714  Printing Support
@@ -269,11 +272,13 @@
 	1116  Jornada 568 Pocket PC
 	1117  LaserJet 1300n
 	1151  PSC-750xi Printer/Scanner/Copier
+	1198  HID-compliant mouse
 	1202  PhotoSmart 320 series
 	1204  DeskJet 930c
 	1205  ScanJet 4500C/5550C
 	1211  OfficeJet v60xi
 	1217  LaserJet 2300L
+	1227  Virtual CD-ROM
 	1302  PhotoSmart 370 series
 	1305  ScanJet 4570c
 	1311  OfficeJet V30
@@ -459,7 +464,7 @@
 	3e17  LaserJet P1006
 	3f02  PhotoSmart 7550~
 	3f11  PSC-1315/PSC-1317
-	4002  PhotoSmart 635/715/720/735/935 (storage)
+	4002  PhotoSmart 635/715/720/735/935/E337 (storage)
 	4004  CP1160
 	4102  PhotoSmart 618
 	4105  ScanJet 4370
@@ -705,6 +710,7 @@
 	5635  M5635 Flash Card Reader
 	5636  USB 2.0 Storage Device
 	5637  M5637 IDE Controller
+	5642  Storage Device
 	5661  M5661 MP3 player
 	5667  M5667 MP3 player
 	9665  Gateway Webcam
@@ -714,7 +720,7 @@
 	1060  JTAG adapter
 	1234  IronLogic RFID Adapter [Z-2 USB]
 	1235  Iron Logic Z-397 RS-485/422 converter
-	6001  FT232 USB-Serial (UART) IC
+	6001  FT232 Serial (UART) IC
 	6002  Lumel PD12
 	6007  Serial Converter
 	6008  Serial Converter
@@ -800,6 +806,7 @@
 	d739  Propox ISPcable III
 	d9a9  Actisense USG-1 NMEA Serial Gateway
 	d9aa  Actisense NGT-1 NMEA2000 PC Interface
+	d9ab  Actisense NGT-1 NMEA2000 Gateway
 	daf4  Qundis Serial Infrared Head
 	e0d0  Total Phase Aardvark I2C/SPI Host Adapter
 	e521  EVER Sinline XL Series UPS
@@ -848,6 +855,7 @@
 	fc82  SEMC DSS-20/DSS-25 SyncStation
 	fd48  ShipModul MiniPlex-4xUSB NMEA Multiplexer
 	fd49  ShipModul MiniPlex-4xUSB-AIS NMEA Multiplexer
+	fd4b  ShipModul MiniPlex NMEA Multiplexer
 	ff08  ToolHouse LoopBack Adapter
 	ff18  ScienceScope Logbook ML
 	ff19  Logbook Bus
@@ -1064,6 +1072,7 @@
 	402b  Photo Printer 6850
 	402e  605 Photo Printer
 	4034  805 Photo Printer
+	404f  305 Photo Printer
 	4056  ESP 7200 Series AiO
 	4109  EasyShare Printer Dock Series 3
 	410d  EasyShare G600 Printer Dock
@@ -1074,6 +1083,8 @@
 	6003  i50
 	6004  i60
 	6005  i80
+	6029  i900
+	602a  i900
 040b  Weltrend Semiconductor
 	0a68  Func MS-3 gaming mouse [WT6573F MCU]
 	6510  Weltrend Bar Code Reader
@@ -1313,6 +1324,7 @@
 	4083  Live! Cam Socialize [VF0640]
 	4087  Live! Cam Socialize HD 1080 [VF0680]
 	4088  Live! Cam Chat HD [VF0700]
+	4095  Live! Cam Sync HD [VF0770]
 	4100  Nomad Jukebox 2
 	4101  Nomad Jukebox 3
 	4102  NOMAD MuVo^2
@@ -1412,8 +1424,11 @@
 	02e3  5230 (PC-Suite mode)
 	02e4  5230 (Imaging mode)
 	0360  C1-01 Ovi Suite Mode
+	0396  C7-00 (Modem mode)
 	03a4  C5 (Storage mode)
-	03c0  C7-00
+	03c0  C7-00 (Mass storage mode)
+	03c1  C7-00 (Media transfer mode)
+	03cd  C7-00 (Nokia Suite mode)
 	03d1  N950
 	0400  7600 Phone Parent
 	0401  6650 GSM Phone
@@ -1480,9 +1495,12 @@
 	0508  E65 (PC Suite mode)
 	0509  E65 (Storage mode)
 	0518  N9 Phone
+	054d  C2-01
 	0600  Digital Pen SU-1B
 	0610  CS-15 (Internet Stick 3G modem)
-	0661  Lumia 920
+	0661  Lumia 620/920
+	069a  130 [RM-1035] (Charging only)
+	0720  X (RM-980)
 	0800  Connectivity Cable DKU-5
 	0801  Data Cable DKU-6
 	0802  CA-42 Phone Parent
@@ -1507,6 +1525,7 @@
 	2020  USB Hub
 	20cd  Sitecom Internal Multi Memory reader/writer MD-005
 	20fc  6-in-1 Card Reader
+	2134  Hub
 	2228  9-in-2 Card Reader
 	223a  8-in-1 Card Reader
 	2503  USB 2.0 Hub
@@ -1523,6 +1542,7 @@
 	4060  Ultra Fast Media Reader
 	4064  Ultra Fast Media Reader
 	5434  Hub
+	5534  Hub
 	7500  LAN7500 Ethernet 10/100/1000 Adapter
 	9512  SMC9512/9514 USB Hub
 	9514  SMC9514 Hub
@@ -1855,9 +1875,10 @@
 	0006  Easy Mouse+
 	000b  NetMouse Wheel(P+U)
 	000c  TACOMA Fingerprint V1.06.01
-	000e  VideoCAM Web
+	000e  Genius NetScroll Optical
 	0013  TACOMA Fingerprint Mouse V1.06.01
 	001a  Genius WebScroll+
+	002e  NetScroll + Traveler / NetScroll 110
 	0036  Pocket Mouse LE
 	0039  NetScroll+ Superior
 	003a  NetScroll+ Mini Traveler / Genius NetScroll 120
@@ -2248,7 +2269,9 @@
 	0779  LifeCam HD-3000
 	0780  Comfort Curve Keyboard 3000
 	0797  Optical Mouse 200
+	07a5  Wireless Receiver 1461C
 	07f8  Wired Keyboard 600 (model 1576)
+	07fd  Nano Transceiver 1.1
 	930a  ISOUSB.SYS Intel 82930 Isochronous IO Test Board
 	ffca  Catalina
 	fff8  Keyboard
@@ -2258,7 +2281,7 @@
 	0006  LCD Tablet (12x9)
 	0008  Tablet (3x2.25)
 0461  Primax Electronics, Ltd
-	0010  HP Keyboard
+	0010  HP PR1101U / Primax PMX-KPR1101U Keyboard
 	0300  G2-300 Scanner
 	0301  G2E-300 Scanner
 	0302  G2-300 #2 Scanner
@@ -2377,6 +2400,7 @@
 	082b  Webcam C170
 	082d  HD Pro Webcam C920
 	0830  QuickClip
+	0836  B525 HD Webcam
 	0837  BCC950 ConferenceCam
 	0840  QuickCam Express
 	0843  Webcam C930e
@@ -2483,7 +2507,7 @@
 	0a29  H600 [Wireless Headset]
 	0a37  USB Headset H540
 	0a38  Headset H340
-	0a44  Wired headset
+	0a44  Headset H390
 	0a4d  G430 Surround Sound Gaming Headset
 	0b02  C-UV35 [Bluetooth Mini-Receiver] (HID proxy mode)
 	8801  Video Camera
@@ -2490,7 +2514,7 @@
 	b305  BT Mini-Receiver
 	bfe4  Premium Optical Wheel Mouse
 	c000  N43 [Pilot Mouse]
-	c001  N48/M-BB48 [FirstMouse Plus]
+	c001  N48/M-BB48/M-UK96A [FirstMouse Plus]
 	c002  M-BA47 [MouseMan Plus]
 	c003  MouseMan
 	c004  WingMan Gaming Mouse
@@ -2556,6 +2580,7 @@
 	c06b  G700 Wireless Gaming Mouse
 	c06c  Optical Mouse
 	c077  M105 Optical Mouse
+	c07c  M-R0017 [G700s Rechargeable Gaming Mouse]
 	c101  UltraX Media Remote
 	c110  Harmony 785/885 Remote
 	c111  Harmony 525 Remote
@@ -2631,7 +2656,7 @@
 	c305  Internet Keyboard
 	c307  Internet Keyboard
 	c308  Internet Navigator Keyboard
-	c309  Internet Keyboard
+	c309  Y-BF37 [Internet Navigator Keyboard]
 	c30a  iTouch Composite
 	c30b  NetPlay Keyboard
 	c30c  Internet Keys (X)
@@ -2684,6 +2709,7 @@
 	c52d  R700 Remote Presenter receiver
 	c52e  MK260 Wireless Combo Receiver
 	c52f  Unifying Receiver
+	c531  C-U0007 [Unifying Receiver]
 	c532  Unifying Receiver
 	c534  Unifying Receiver
 	c603  3Dconnexion Spacemouse Plus XT
@@ -2973,8 +2999,9 @@
 	4254  BUA-100 Bluetooth Adapter
 	ac01  Savi 7xx
 	ad01  GameCom 777 5.1 Headset
+	c008  Audio 655 DSP
 	c00e  Blackwire C310 headset
-0480  Toshiba America Info. Systems, Inc.
+0480  Toshiba America Inc
 	0001  InTouch Module
 	0004  InTouch Module
 	0011  InTouch Module
@@ -2985,7 +3012,9 @@
 	a007  External Disk USB 3.0
 	a009  Stor.E Basics
 	a00d  STOR.E BASICS 500GB
+	a202  Canvio Basics HDD
 	b001  Stor.E Partner
+	d000  External Disk 2TB Model DT01ABA200
 	d010  External Disk 3TB
 	d011  Canvio Desk
 0481  Zenith Data Systems
@@ -3015,6 +3044,7 @@
 	3744  STLINK Pseudo disk
 	3747  ST Micro Connect Lite
 	3748  ST-LINK/V2
+	374b  ST-LINK/V2.1 (Nucleo-F103RB)
 	4810  ISDN adapter
 	481d  BT Digital Access adapter
 	5000  ST Micro/Ergenic ERG BT-002 Bluetooth Adapter
@@ -3022,9 +3052,11 @@
 	5710  Joystick in FS Mode
 	5720  STM microSD Flash Device
 	5721  Hantek DDS-3X25 Arbitrary Waveform Generator
+	5730  STM32 Audio Streaming
 	5740  STM32F407
 	7270  ST Micro Serial Bridge
 	7554  56k SoftModem
+	91d1  Sensor Hub
 	df11  STM Device in DFU Mode
 	ff10  Swann ST56 Modem
 0484  Specialix
@@ -3042,8 +3074,11 @@
 	e003  Pirelli DP-L10
 	e00d  Broadcom Bluetooth 2.1 Device
 	e00f  Foxconn T77H114 BCM2070 [Single-Chip Bluetooth 2.1 + EDR Adapter]
+	e011  Acer Bluetooth module
 	e016  Ubee PXU1900 WiMAX Adapter [Beceem BCSM250]
 	e02c  Atheros AR5BBU12 Bluetooth Device
+	e032  Broadcom BCM20702 Bluetooth
+	e042  Broadcom BCM20702 Bluetooth
 	e04d  Atheros AR3012 Bluetooth
 048a  S-MOS Systems, Inc.
 048c  Alps Electric Ireland, Ltd
@@ -3122,6 +3157,7 @@
 	1037  PSR-E403
 	103c  MOTIF-RACK ES
 	1054  S90XS Keyboard/Music Synthesizer
+	160f  P-105
 	2000  DGP-7
 	2001  DGP-5
 	3001  YST-MS55D USB Speaker
@@ -3422,11 +3458,14 @@
 	1728  MX310 ser
 	1729  MX700 ser
 	172b  MP140 ser
+	1736  PIXMA MX320 series
+	173a  MP250 series printer
 	173b  PIXMA MP270 All-In-One Printer
 	173e  MP560
 	173f  Pixma MP640 Multifunction device
 	1748  Pixma MG5150
 	174d  MX360 ser
+	176d  PIXMA MG2550
 	1900  CanoScan LiDE 90
 	1901  CanoScan 8800F
 	1904  CanoScan LiDE 100
@@ -3436,6 +3475,7 @@
 	1909  CanoScan LiDE 110
 	190a  CanoScan LiDE 210
 	190d  CanoScan 9000F Mark II
+	190e  CanoScan LiDE 120
 	2200  CanoScan LiDE 25
 	2201  CanoScan FB320U
 	2202  CanoScan FB620U
@@ -3709,6 +3749,7 @@
 	3160  Digital IXUS 860 IS
 	3170  SELPHY CP750
 	3171  SELPHY CP740
+	3172  SELPHY CP520
 	3173  PowerShot SD890 IS DIGITAL ELPH / Digital IXUS 970 IS / IXY DIGITAL 820 IS
 	3174  PowerShot SD790 IS DIGITAL ELPH / Digital IXUS 90 IS / IXY DIGITAL 95 IS
 	3175  IXY Digital 25 IS
@@ -3832,9 +3873,14 @@
 	3289  PowerShot ELPH 340 HS / IXUS 265 HS
 	328a  PowerShot ELPH 150 IS / IXUS 155
 	328b  PowerShot N Facebook(R) Ready
+	3299  EOS M3
 	329a  PowerShot SX60 HS
 	329b  PowerShot SX520 HS
 	329c  PowerShot SX400 IS
+	329f  PowerShot SX530 HS
+	32a6  PowerShot SX710 HS
+	32aa  Powershot ELPH 160 / IXUS 160
+	32ac  PowerShot ELPH 170 IS / IXUS 170
 04aa  DaeWoo Telecom, Ltd
 04ab  Chromatic Research
 04ac  Micro Audiometrics Corp.
@@ -4169,7 +4215,7 @@
 	0881  PX-404A [ME OFFICE 535]
 	0883  ME 340 Series/Stylus NX130 Series
 	0884  Stylus NX430W Series
-	0885  Stylus NX230 Series
+	0885  Stylus NX230/SX235W Series
 	088f  Stylus Office BX635FWD
 	0890  ME OFFICE 940FW Series/Stylus Office BX630FW Series
 	0891  Stylus Office BX535WD
@@ -4302,7 +4348,13 @@
 	004f  SK-9020 keyboard
 	1766  HID Monitor Controls
 	2004  Bluetooth 4.0 [Broadcom BCM20702A0]
+	2006  Broadcom BCM43142A0 Bluetooth Device
+	300b  Atheros AR3012 Bluetooth
+	300d  Atheros AR3012 Bluetooth
+	300f  Atheros AR3012 Bluetooth
+	3014  Qualcoom Atheros Bluetooth
 	7025  HP HD Webcam
+	7046  TOSHIBA Web Camera - HD
 	9304  Hub
 	f01c  TT1280DA DVB-T TV Tuner
 04cb  Fuji Photo Film Co., Ltd
@@ -4449,10 +4501,13 @@
 	8001  ICD2 in-circuit debugger
 	8101  PIC24F Starter Kit
 	8107  Microstick II
+	8108  ChipKit Pro MX7 (PIC32MX)
 	9004  Microchip REAL ICE
 	900a  PICkit3
 	c001  PicoLCD 20x4
 	e11c  TL866CS EEPROM Programmer [MiniPRO]
+	f2c4  Macareux-labs Hygrometry Temperature Sensor
+	f3aa  Macareux-labs Usbce Bootloader mode
 	f437  SBE Tech Ultrasonic Anemometer
 	f4b5  SmartScope
 	f8da  Hughski Ltd. ColorHug
@@ -4465,6 +4520,7 @@
 	fbbb  DiscFerret Magnetic Disc Analyser (active mode)
 	fc1e  Bachrus Speedometer Interface
 	fc92  Open Bench Logic Sniffer
+	ffee  Devantech USB-ISS
 	ffef  PICoPLC [APStech]
 04d9  Holtek Semiconductor, Inc.
 	0022  Portable Keyboard
@@ -4472,7 +4528,7 @@
 	0499  Optical Mouse
 	1203  Keyboard
 	1400  PS/2 keyboard + mouse controller
-	1503  Shortboard Lefty
+	1503  Keyboard
 	1603  Keyboard
 	1702  Keyboard LKS02
 	2011  Keyboard [Diatec Filco Majestouch 1]
@@ -4709,6 +4765,7 @@
 	3296  ML-2580N Mono Laser Printer
 	3297  ML-191x/ML-252x Laser Printer
 	329f  CLP-325 Color Laser Printer
+	3301  ML-1660 Series
 	330c  ML-1865
 	3310  ML-331x Series Laser Printer
 	3315  ML-2540 Series Laser Printer
@@ -4807,6 +4864,8 @@
 	60b3  M2 Portable Hard Drive
 	60c4  M2 Portable Hard Drive USB 3.0
 	6124  D3 Station External Hard Drive
+	6125  D3 Station External Hard Drive
+	61b5  M3 Portable Hard Drive 2TB
 	61b6  M3 Portable Hard Drive 1TB
 	6601  Mobile Phone
 	6602  Galaxy
@@ -4848,7 +4907,7 @@
 	685c  GT-I9250 Phone [Galaxy Nexus] (Mass storage mode)
 	685d  GT-I9100 Phone [Galaxy S II] (Download mode)
 	685e  GT-I9100 / GT-C3350 Phones (USB Debugging mode)
-	6860  GT-I9100 Phone [Galaxy S II], GT-I9300 Phone [Galaxy S III], GT-P7500 [Galaxy Tab 10.1] , GT-I9500 [Galaxy S 4]
+	6860  Galaxy (MTP)
 	6863  GT-I9500 [Galaxy S4] / GT-I9250 [Galaxy Nexus] (network tethering)
 	6864  GT-I9070 (network tethering, USB debugging enabled)
 	6865  GT-I9300 Phone [Galaxy S III] (PTP mode)
@@ -4857,6 +4916,7 @@
 	6875  GT-B3710 Standalone LTE device (Commercial)
 	6876  GT-B3710 LTE Modem
 	6877  Galaxy S
+	687a  GT-E2370 mobile phone
 	6888  GT-B3730 Composite LTE device (Commercial)
 	6889  GT-B3730 Composite LTE device (Commercial)
 	689a  LTE Storage Driver [CMC2xx]
@@ -4908,6 +4968,7 @@
 	0760  Acer KU-0760 Keyboard
 	0841  HP Multimedia Keyboard
 	0860  2.4G Multimedia Wireless Kit
+	1061  HP KG-1061 Wireless Keyboard+Mouse
 	1121  Periboard 717 Mini Wireless Keyboard
 	a001  E-Video DC-100 Camera
 	a120  ORITE CCD Webcam(PC370R)
@@ -4918,6 +4979,7 @@
 	a128  PC Camera (SN9C202 + OV7663 + EEPROM)
 	a133  Gateway Webcam
 	a136  LabTec Webcam 5500
+	a147  Medion Webcam
 	a204  DSC WIA Device (1300)
 	a208  DSC WIA Device (2320)
 	a209  Labtec DC-2320
@@ -4974,6 +5036,9 @@
 	b330  Asus 720p CMOS webcam
 	b354  UVC 1.00 device HD UVC WebCam
 	b394  Integrated Camera
+	b3f6  HD WebCam (Acer)
+	b40e  HP Truevision HD camera
+	b444  Lenovo Integrated Webcam
 04f3  Elan Microelectronics Corp.
 	000a  Touchscreen
 	0103  ActiveJet K-2024 Multimedia Keyboard
@@ -4984,6 +5049,7 @@
 	0230  3D Optical Mouse
 	0232  Mouse
 	02f4  2.4G Cordless Mouse
+	0381  Touchscreen
 	04a0  Dream Cheeky Stress/Panic Button
 04f4  Harting Elektronik, Inc.
 04f5  Fujitsu-ICL Systems, Inc.
@@ -5043,16 +5109,17 @@
 	010b  MFC-860
 	010c  MFC-7400J
 	010d  MFC-9200J
-	010e  MFC3100C Scanner
-	010f  MFC 5100C
-	0110  MFC4800 Scanner
-	0111  MFC 6800
+	010e  MFC-3100C Scanner
+	010f  MFC-5100C
+	0110  MFC-4800 Scanner
+	0111  MFC-6800
 	0112  DCP1000 Port(FaxModem)
 	0113  MFC-8500
 	0114  MFC9700 Port(FaxModem)
-	0115  MFC9800 Scanner
+	0115  MFC-9800 Scanner
 	0116  DCP1400 Scanner
 	0119  MFC-9660
+	011a  MFC-9860
 	011b  MFC-9880
 	011c  MFC-9760
 	011d  MFC-9070
@@ -5061,13 +5128,20 @@
 	0120  MFC580 Port(FaxModem)
 	0121  MFC-590
 	0122  MFC-5100J
+	0124  MFC-4800J
+	0125  MFC-6800J
+	0127  MFC-9800J
+	0128  MFC-8500J
 	0129  Imagistics 2500 (MFC-8640D clone)
+	012b  MFC-9030
+	012e  FAX4100e IntelliFax 4100e
 	012f  FAX-4750e
+	0130  FAX-5750e
 	0132  MFC-5200C RemovableDisk
 	0135  MFC-100 Scanner
 	0136  MFC-150CL Scanner
 	013c  MFC-890 Port
-	013d  MFC-5200J Printer
+	013d  MFC-5200J
 	013e  MFC-4420C RemovableDisk
 	013f  MFC-4820C RemovableDisk
 	0140  DCP-8020
@@ -5077,14 +5151,17 @@
 	0144  DCP-4020C RemovableDisk
 	0146  MFC-3220C
 	0147  FAX-1820C Printer
-	0148  MFC-3320CN Printer
+	0148  MFC-3320CN
 	0149  FAX-1920CN Printer
 	014a  MFC-3420C
 	014b  MFC-3820CN
+	014c  DCP-3020C
 	014d  FAX-1815C Printer
 	014e  MFC-8820J
+	014f  DCP-8025J
 	0150  MFC-8220 Port(FaxModem)
 	0151  MFC-8210J
+	0153  DCP-1000J
 	0157  MFC-3420J Printer
 	0158  MFC-3820JN Port(FaxModem)
 	015d  MFC Composite Device
@@ -5110,7 +5187,7 @@
 	017b  Imagistics sx2100
 	0180  MFC-7420
 	0181  MFC-7820N Port(FaxModem)
-	0182  Composite Device
+	0182  DCP-7010
 	0183  DCP-7020
 	0184  DCP-7025 Printer
 	0185  MFC-7220 Printer
@@ -5144,17 +5221,17 @@
 	01ae  DCP-750CW RemovableDisk
 	01af  MFC-440CN
 	01b0  MFC-660CN
-	01b1  MFC-665CW Remote Setup Port
-	01b2  MFC-845CW Remote Setup Port
-	01b4  MFC-460CN Remote Setup Port
+	01b1  MFC-665CW
+	01b2  MFC-845CW
+	01b4  MFC-460CN
 	01b5  MFC-630CD
 	01b6  MFC-850CDN
-	01b7  MFC-5460CN Remote Setup Port
+	01b7  MFC-5460CN
 	01b8  MFC-5860CN
 	01ba  MFC-3360C
 	01bd  MFC-8660DN
 	01be  DCP-750CN RemovableDisk
-	01bf  MFC-860CDN Remote Setup Port
+	01bf  MFC-860CDN
 	01c0  DCP-128C
 	01c1  DCP-129C
 	01c2  DCP-131C
@@ -5161,14 +5238,27 @@
 	01c3  DCP-329C
 	01c4  DCP-331C
 	01c5  MFC-239C
-	01ca  MFC-9440CN Remote Setup Port
+	01c9  DCP-9040CN
+	01ca  MFC-9440CN
+	01cb  DCP-9045CDN
+	01cc  MFC-9840CDW
 	01ce  DCP-135C
 	01cf  DCP-150C
 	01d0  DCP-350C
 	01d1  DCP-560CN
+	01d2  DCP-770CW
+	01d3  DCP-770CN
 	01d4  MFC-230C
 	01d5  MFC-235C
 	01d6  MFC-260C
+	01d7  MFC-465CN
+	01d8  MFC-680CN
+	01d9  MFC-685CW
+	01da  MFC-885CW
+	01db  MFC-480CN
+	01dc  MFC-650CD
+	01dd  MFC-870CDN
+	01de  MFC-880CDN
 	01df  DCP-155C
 	01e0  MFC-265C
 	01e1  DCP-153C
@@ -5179,12 +5269,280 @@
 	01e9  DCP-7040
 	01ea  DCP-7030
 	01eb  MFC-7320
+	01ec  MFC-9640CW
 	01f4  MFC-5890CN
+	020a  MFC-8670DN
+	020c  DCP-9042CDN
+	020d  MFC-9450CDN
+	0216  MFC-8880DN
 	0217  MFC-8480DN
+	0219  MFC-8380DN
+	021a  MFC-8370DN
+	021b  DCP-8070D
+	021c  MFC-9320CW
+	021d  MFC-9120CN
+	021e  DCP-9010CN
+	0220  MFC-9010CN
+	0222  DCP-195C
 	0223  DCP-365CN
+	0224  DCP-375CW
+	0225  DCP-395CN
+	0227  DCP-595CN
+	0228  MFC-255CW
+	0229  MFC-295CN
+	022a  MFC-495CW
+	022b  MFC-495CN
+	022c  MFC-795CW
+	022d  MFC-675CD
+	022e  MFC-695CDN
+	022f  MFC-735CD
+	0230  MFC-935CDN
+	0234  DCP-373CW
+	0235  DCP-377CW
+	0236  DCP-390CN
+	0239  MFC-253CW
+	023a  MFC-257CW
+	023e  DCP-197C
+	023f  MFC-8680DN
+	0240  MFC-J950DN
 	0248  DCP-7055 scanner/printer
+	0253  DCP-J125
+	0254  DCP-J315W
+	0255  DCP-J515W
+	0256  DCP-J515N
+	0257  DCP-J715W
+	0258  DCP-J715N
+	0259  MFC-J220
+	025a  MFC-J410
+	025b  MFC-J265W
+	025c  MFC-J415W
+	025d  MFC-J615W
+	025e  MFC-J615N
+	025f  MFC-J700D
+	0260  MFC-J800D
+	0261  MFC-J850DN
+	026b  MFC-J630W
+	026d  MFC-J805D
+	026e  MFC-J855DN
+	026f  MFC-J270W
 	0273  DCP-7057 scanner/printer
-	02b3  MFC J4510DW
+	0276  MFC-5895CW
+	0278  MFC-J410W
+	0279  DCP-J525W
+	027a  DCP-J525N
+	027b  DCP-J725DW
+	027c  DCP-J725N
+	027d  DCP-J925DW
+	027e  MFC-J955DN
+	027f  MFC-J280W
+	0280  MFC-J435W
+	0281  MFC-J430W
+	0282  MFC-J625DW
+	0283  MFC-J825DW
+	0284  MFC-J825N
+	0285  MFC-J705D
+	0287  MFC-J860DN
+	0288  MFC-J5910DW
+	0289  MFC-J5910CDW
+	028a  DCP-J925N
+	028d  MFC-J835DW
+	028f  MFC-J425W
+	0290  MFC-J432W
+	0291  DCP-8110DN
+	0292  DCP-8150DN
+	0293  DCP-8155DN
+	0294  DCP-8250DN
+	0295  MFC-8510DN
+	0296  MFC-8520DN
+	0298  MFC-8910DW
+	0299  MFC-8950DW
+	029a  MFC-8690DW
+	029c  MFC-8515DN
+	029e  MFC-9125CN
+	029f  MFC-9325CW
+	02a0  DCP-J140W
+	02a5  MFC-7240
+	02a6  FAX-2940
+	02a7  FAX-2950
+	02a8  MFC-7290
+	02ab  FAX-2990
+	02ac  DCP-8110D
+	02ad  MFC-9130CW
+	02ae  MFC-9140CDN
+	02af  MFC-9330CDW
+	02b0  MFC-9340CDW
+	02b1  DCP-9020CDN
+	02b2  MFC-J810DN
+	02b3  MFC-J4510DW
+	02b4  MFC-J4710DW
+	02b5  DCP-8112DN
+	02b6  DCP-8152DN
+	02b7  DCP-8157DN
+	02b8  MFC-8512DN
+	02ba  MFC-8912DW
+	02bb  MFC-8952DW
+	02bc  DCP-J540N
+	02bd  DCP-J740N
+	02be  MFC-J710D
+	02bf  MFC-J840N
+	02c0  DCP-J940N
+	02c1  MFC-J960DN
+	02c2  DCP-J4110DW
+	02c3  MFC-J4310DW
+	02c4  MFC-J4410DW
+	02c5  MFC-J4610DW
+	02c6  DCP-J4210N
+	02c7  MFC-J4510N
+	02c8  MFC-J4910CDW
+	02c9  MFC-J4810DN
+	02ca  MFC-8712DW
+	02cb  MFC-8710DW
+	02cc  MFC-J2310
+	02cd  MFC-J2510
+	02ce  DCP-7055W
+	02cf  DCP-7057W
+	02d0  DCP-1510
+	02d1  MFC-1810
+	02d3  DCP-9020CDW
+	02d4  MFC-8810DW
+	02dd  DCP-J4215N
+	02de  DCP-J132W
+	02df  DCP-J152W
+	02e0  DCP-J152N
+	02e1  DCP-J172W
+	02e2  DCP-J552DW
+	02e3  DCP-J552N
+	02e4  DCP-J752DW
+	02e5  DCP-J752N
+	02e6  DCP-J952N
+	02e7  MFC-J245
+	02e8  MFC-J470DW
+	02e9  MFC-J475DW
+	02ea  MFC-J285DW
+	02eb  MFC-J650DW
+	02ec  MFC-J870DW
+	02ed  MFC-J870N
+	02ee  MFC-J720D
+	02ef  MFC-J820DN
+	02f0  MFC-J980DN
+	02f1  MFC-J890DN
+	02f2  MFC-J6520DW
+	02f3  MFC-J6570CDW
+	02f4  MFC-J6720DW
+	02f5  MFC-J6920DW
+	02f6  MFC-J6970CDW
+	02f7  MFC-J6975CDW
+	02f8  MFC-J6770CDW
+	02f9  DCP-J132N
+	02fa  MFC-J450DW
+	02fb  MFC-J875DW
+	02fc  DCP-J100
+	02fd  DCP-J105
+	02fe  MFC-J200
+	02ff  MFC-J3520
+	0300  MFC-J3720
+	030f  DCP-L8400CDN
+	0310  DCP-L8450CDW
+	0311  MFC-L8600CDW
+	0312  MFC-L8650CDW
+	0313  MFC-L8850CDW
+	0314  MFC-L9550CDW
+	0318  MFC-7365DN
+	0320  MFC-L2740DW
+	0321  DCP-L2500D
+	0322  DCP-L2520DW
+	0324  DCP-L2520D
+	0326  DCP-L2540DN
+	0328  DCP-L2540DW
+	0329  DCP-L2560DW
+	0330  HL-L2380DW
+	0331  MFC-L2700DW
+	0335  FAX-L2700DN
+	0337  MFC-L2720DW
+	0338  MFC-L2720DN
+	0339  DCP-J4120DW
+	033a  MFC-J4320DW
+	033c  MFC-J2320
+	033d  MFC-J4420DW
+	0340  MFC-J4620DW
+	0341  MFC-J2720
+	0342  MFC-J4625DW
+	0343  MFC-J5320DW
+	0346  MFC-J5620DW
+	0347  MFC-J5720DW
+	0349  DCP-J4220N
+	034b  MFC-J4720N
+	034e  MFC-J5720CDW
+	034f  MFC-J5820DN
+	0350  MFC-J5620CDW
+	0351  DCP-J137N
+	0353  DCP-J557N
+	0354  DCP-J757N
+	0355  DCP-J957N
+	0356  MFC-J877N
+	0357  MFC-J727D
+	0358  MFC-J987DN
+	0359  MFC-J827DN
+	035a  MFC-J897DN
+	035b  DCP-1610W
+	035c  DCP-1610NW
+	035d  MFC-1910W
+	035e  MFC-1910NW
+	0361  MFC-1919NW
+	0364  MFC-J5625DW
+	0365  MFC-J4520DW
+	0366  MFC-J5520DW
+	0367  DCP-7080D
+	0368  DCP-7080
+	0369  DCP-7180DN
+	036a  DCP-7189DW
+	036b  MFC-7380
+	036c  MFC-7480D
+	036d  MFC-7880DN
+	036e  MFC-7889DW
+	036f  DCP-9022CDW
+	0370  MFC-9142CDN
+	0371  MFC-9332CDW
+	0372  MFC-9342CDW
+	0373  MFC-L2700D
+	0376  DCP-1600
+	0377  MFC-1900
+	0378  DCP-1608
+	0379  DCP-1619
+	037a  MFC-1906
+	037b  MFC-1908
+	037c  ADS-2000e
+	037d  ADS-2100e
+	037e  ADS-2500We
+	037f  ADS-2600We
+	0380  DCP-J562DW
+	0381  DCP-J562N
+	0383  DCP-J962N
+	0384  MFC-J480DW
+	0385  MFC-J485DW
+	0386  MFC-J460DW
+	0388  MFC-J680DW
+	0389  MFC-J880DW
+	038a  MFC-J885DW
+	038b  MFC-J880N
+	038c  MFC-J730DN
+	038d  MFC-J990DN
+	038e  MFC-J830DN
+	038f  MFC-J900DN
+	0390  MFC-J5920DW
+	0392  MFC-L2705DW
+	0393  DCP-T300
+	0394  DCP-T500W
+	0395  DCP-T700W
+	0396  MFC-T800W
+	0397  DCP-J963N
+	03b3  MFC-J6925DW
+	03b4  MFC-J6573CDW
+	03b5  MFC-J6973CDW
+	03b6  MFC-J6990CDW
+	03bb  MFC-L2680W
+	03bc  MFC-L2700DN
+	03bd  DCP-J762N
 	1000  Printer
 	1002  Printer
 	2002  PTUSB Printing
@@ -5196,6 +5554,14 @@
 	2027  QL-560 P-Touch Label Printer
 	202b  PT-7600 P-Touch Label Printer
 	2100  Card Reader Writer
+	60a0  ADS-2000
+	60a1  ADS-2100
+	60a4  ADS-2500W
+	60a5  ADS-2600W
+	60a6  ADS-1000W
+	60a7  ADS-1100W
+	60a8  ADS-1500W
+	60a9  ADS-1600W
 04fa  Dallas Semiconductor
 	2490  DS1490F 2-in-1 Fob, 1-Wire adapter
 	4201  DS4201 Audio DAC
@@ -5453,7 +5819,7 @@
 	7569  Live! Pro (A)
 	756a  Live! Pro Audio (O)
 0529  Aladdin Knowledge Systems
-	0001  HASP v0.06
+	0001  HASP copy protection dongle
 	030b  eToken R1 v3.1.3.x
 	0313  eToken R1 v3.2.3.x
 	031b  eToken R1 v3.3.3.x
@@ -5764,6 +6130,7 @@
 	0005  InkJet Color Printer
 	000b  Workcentre 24
 	014e  CM215b Printer
+	0165  DocuPrint M215b
 0551  CompuTrend Systems, Inc.
 0552  Philips Monitors
 0553  STMicroelectronics Imaging Division (VLSI Vision)
@@ -5915,8 +6282,8 @@
 	0000  PenPartner
 	0001  PenPartner 4x5
 	0002  PenPartner 6x8
-	0003  Cintiq Partner
-	0010  Graphire
+	0003  PTU-600 [Cintiq Partner]
+	0010  ET-0405 [Graphire]
 	0011  Graphire 2 4x5
 	0012  Graphire 2 5x7
 	0013  Graphire 3 4x5
@@ -6161,6 +6528,7 @@
 	8402  Fritz!WLAN N 2.4 [Atheros AR9001U]
 	8403  Fritz!WLAN N v2 [Atheros AR9271]
 	84ff  AVM Fritz!WLAN USB N (in CD-ROM-mode)
+	8501  FRITZ WLAN N v2 [RT5572/rt2870.bin]
 057d  Shark Multimedia, Inc.
 057e  Nintendo Co., Ltd
 	0305  Broadcom BCM2045A Bluetooth Radio [Nintendo Wii]
@@ -6608,6 +6976,7 @@
 	0829  BigDisk Extreme+
 	100c  Rugged Triple Interface Mobile Hard Drive
 	1010  Desktop Hard Drive
+	1018  Desktop Hard Drive
 	1019  Desktop Hard Drive
 	1021  Little Disk
 	1027  iamaKey V2
@@ -6615,6 +6984,7 @@
 	1049  rikiki Harddrive
 	1052  P'9220 Mobile Drive
 	1064  Rugged 16 and 32 GB
+	106e  Porsche Design Desktop Drive
 	a601  HardDrive
 	a602  CD R/W
 05a0  Vetronix Corp.
@@ -6803,10 +7173,10 @@
 	12a4  iPad 3 (wifi)
 	12a5  iPad 3 (CDMA)
 	12a6  iPad 3 (3G, 16 GB)
-	12a8  iPhone5/5C/5S
+	12a8  iPhone5/5C/5S/6
 	12a9  iPad 2
 	12aa  iPod Touch 5.Gen [A1421]
-	12ab  iPad 4 (WiFi, 32GB)
+	12ab  iPad 4/Mini1
 	1300  iPod Shuffle
 	1301  iPod Shuffle 2.Gen
 	1302  iPod Shuffle 3.Gen
@@ -6909,6 +7279,7 @@
 	6000  Siemens SG75
 	6503  AnyData APE-540H
 	6613  Onda H600/N501HS ZTE MF330
+	6764  A0001 Phone [OnePlus One]
 	9000  SIMCom SIM5218 modem
 	9001  Gobi Wireless Modem
 	9002  Gobi Wireless Modem
@@ -7312,6 +7683,7 @@
 	0736  microSD Reader/Writer
 	0741  microSD Card Reader
 	0743  SDXC and microSDXC CardReader
+	0745  Logilink CR0012
 	0760  USB 2.0 Card Reader/Writer
 	0761  Genesys Mass Storage Device
 	0780  USBFS DFU Adapter
@@ -7563,6 +7935,7 @@
 064d  TriTech Microelectronics, Ltd
 064e  Suyin Corp.
 	2100  Sony Visual Communication Camera
+	9700  Asus Integrated Webcam
 	a100  Acer OrbiCam
 	a101  Acer CrystalEye Webcam
 	a102  Acer/Lenovo Webcam [CN0316]
@@ -8691,6 +9064,7 @@
 	1221  CardMan 1221
 	1784  CardMan 6020
 	3021  CardMan 3121
+	3022  CardMan 3021
 	3610  CardMan 3620
 	3621  CardMan 3621
 	3821  CardMan 3821
@@ -8770,6 +9144,7 @@
 	556d  Memory Vault
 	5571  Cruzer Fit
 	5576  Cruzer Facet
+	557d  Cruzer Force (64GB)
 	5580  SDCZ80 Flash Drive
 	5581  Ultra
 	5e10  Encrypted
@@ -9023,7 +9398,7 @@
 	0c0c  PL806 Scanner
 	0c26  OpticBook 4600 Scanner
 	0c2b  Mobile Office D428 Scanner
-	0e08  Plustek OpticBook A300 Scanner
+	0e08  OpticBook A300 Scanner
 	1300  OpticBook 3800 Scanner
 	1301  OpticBook 4800 Scanner
 07b4  Olympus Optical Co., Ltd
@@ -9745,6 +10120,8 @@
 	0013  USBee AX-Plus
 	0014  USBee AX-Pro
 	0015  USBee DX
+08ac  Macraigor Systems LLC
+	2024  usbWiggler
 08ae  Macally (Mace Group, Inc.)
 08b0  Metrohm
 	0006  814 Sample Processor
@@ -10039,6 +10416,8 @@
 0908  Siemens AG
 	01f4  SIMATIC NET CP 5711
 	01fe  SIMATIC NET PC Adapter A2
+	04b1  MediSET
+	04b2  NC interface
 	2701  ShenZhen SANZHAI Technology Co.,Ltd Spy Pen VGA
 0909  Audio-Technica Corp.
 090a  Trumpion Microelectronics, Inc.
@@ -10177,6 +10556,7 @@
 	000c  Gigabeat F (mtp)
 	0010  Gigabeat S (mtp)
 	0200  Integrated Bluetooth (Taiyo Yuden)
+	021c  Atheros AR3012 Bluetooth
 	0301  PCX1100U Cable Modem (WDM)
 	0302  PCX2000 Cable Modem (WDM)
 	0305  Cable Modem PCX3000
@@ -10345,6 +10725,7 @@
 	1606  Eee PC 701 SD Card Reader [ENE UB6225]
 	1607  DataTraveler 100
 	160d  DataTraveler Vault Privacy
+	160e  DT110P/1GB Capless
 	1613  DataTraveler DT101C Flash Drive
 	1616  DataTraveler Locker 4GB
 	161a  Dell HyperVisor internal flash drive
@@ -10580,6 +10961,7 @@
 0a00  Liquid Audio
 0a01  ViA, Inc.
 0a05  Unknown Manufacturer
+	0001  Hub
 	7211  hub
 0a07  Ontrak Control Systems Inc.
 	0064  ADU100 Data Acquisition Interface
@@ -10773,6 +11155,8 @@
 	2150  BCM2046 Bluetooth Device
 	2151  Bluetooth
 	2154  BCM92046DG-CL1ROM Bluetooth 2.1 UHE Dongle
+	216c  BCM43142A0 Bluetooth Device
+	216f  BCM20702A0 Bluetooth
 	217d  HP Bluethunder
 	217f  BCM2045B (BDC-2.1)
 	2198  Bluetooth 3.0 Device
@@ -10798,6 +11182,7 @@
 	5801  BCM5880 Secure Applications Processor with fingerprint swipe sensor
 	5802  BCM5880 Secure Applications Processor with fingerprint touch sensor
 	5803  BCM5880 Secure Applications Processor with secure keyboard
+	5804  BCM5880 Secure Applications Processor with fingerprint swipe sensor
 	6300  Pirelli Remote NDIS Device
 	bd11  TiVo AG0100 802.11bg Wireless Adapter [Broadcom BCM4320]
 	bd13  BCM4323 802.11abgn Wireless Adapter
@@ -11130,6 +11515,7 @@
 	17ba  N10 Nano 802.11n Network Adapter [Realtek RTL8192CU]
 	17c7  WL-330NUL
 	17c9  USB-AC53 802.11a/b/g/n/ac Wireless Adapter [Broadcom BCM43526]
+	17cb  Broadcom BCM20702A0 Bluetooth
 	17d1  AC51 802.11a/b/g/n/ac Wireless Adapter [Mediatek MT7610/Ralink RT2870]
 	4c80  Transformer Pad TF300TG
 	4c90  Transformer Pad Infinity TF700
@@ -11288,7 +11674,7 @@
 0b7b  Taiko Denki Co., Ltd
 0b7c  ITRAN Communications, Ltd
 0b7d  Astrodesign, Inc.
-0b81  id3 Semiconductors
+0b81  id3 Technologies
 	0001  Biothentic II smartcard reader with fingerprint sensor
 	0002  DFU-Enabled Devices (DFU)
 	0012  BioPAD biometric module (DFU + CDC)
@@ -11551,6 +11937,7 @@
 	0ca5  Android Phone [Evo Shift 4G]
 	0cae  T-Mobile MyTouch 4G Slide [Doubleshot]
 	0dea  M7_UL [HTC One]
+	0f25  One M8
 	0f64  Desire 601
 	0ff8  Desire HD (Tethering Mode)
 	0ff9  Desire / Desire HD / Hero / Thunderbolt (Charge Mode)
@@ -11666,6 +12053,7 @@
 	2831  RTL2831U DVB-T
 	2832  RTL2832U DVB-T
 	2838  RTL2838 DVB-T
+	5401  RTL 8153 USB 3.0 hub with gigabit ethernet
 	5730  HP 2.0MP High Definition Webcam
 	5775  HP "Truevision HD" laptop camera
 	8150  RTL8150 Fast Ethernet Adapter
@@ -12268,6 +12656,7 @@
 0cf2  ENE Technology, Inc.
 	6220  SD Card Reader (SG361)
 	6225  SD card reader (UB6225)
+	6230  SD Card Reader (UB623X)
 	6250  SD card reader (UB6250)
 0cf3  Atheros Communications, Inc.
 	0001  AR5523
@@ -12407,6 +12796,7 @@
 0d62  Darfon Electronics Corp.
 	0003  Smartcard Reader
 	0004  Keyboard
+	001b  Keyboard
 	001c  Benq X120 Internet Keyboard Pro
 	0306  M530 Mouse
 	0800  Magic Wheel
@@ -12494,6 +12884,7 @@
 	0107  CM108 Audio Controller
 	010f  CM108 Audio Controller
 	0115  CM108 Audio Controller
+	0139  Multimedia Headset [Gigaware by Ignition L.P.]
 	013c  CM108 Audio Controller
 	0201  CM6501
 	5000  Mass Storage Controller
@@ -12629,9 +13020,10 @@
 0db3  Tekram Technology Co., Ltd
 0db4  Chung Fu Chen Yeh Enterprise Corp.
 0db5  Access IS
-	0139  LSR116 CDC
-	013a  LSR116 Keyboard
-	013b  LSR116 HID
+	0139  Barcode Module - CDC serial
+	013a  Barcode Module - Virtual Keyboard
+	013b  Barcode Module - HID
+	0160  NFC and Smartcard Module (NSM)
 0db7  ELCON Systemtechnik
 	0002  Goldpfeil P-LAN
 0dba  Digidesign
@@ -12810,6 +13202,7 @@
 0e1b  Crewave
 0e20  Pegasus Technologies Ltd.
 	0101  NoteTaker
+	0200  Seiko Instruments InkLink Handwriting System
 0e21  Cowon Systems, Inc.
 	0300  iAudio CW200
 	0400  MP3 Player
@@ -13109,6 +13502,7 @@
 0f38  Nien-Yi Industrial Corp.
 0f39  TG3 Electronics
 	0876  Keyboard [87 Francium Pro]
+	1086  DK2108SZ Keyboard [Ducky Zero]
 0f3d  Airprime, Incorporated
 	0112  CDMA 1xEVDO PC Card, PC 5220
 0f41  RDC Semiconductor Co., Ltd
@@ -13225,6 +13619,7 @@
 	00d4  C902 [MTP]
 	00d9  C702 Phone
 	0112  W995 Walkman Phone
+	014e  J108i Cedar (MTP mode)
 	015a  Xperia Pro [Media Transfer Protocol]
 	0166  Xperia Mini Pro
 	0167  ST15i (Xperia mini)
@@ -13231,6 +13626,7 @@
 	0169  Xperia S
 	0172  Xperia P
 	0177  Xperia Ion [Mass Storage]
+	01bb  D5803 [Xperia Z3 Compact] (MTP mode)
 	0dde  Xperia Mini Pro Bootloader
 	1010  WMC Modem
 	10af  V640i Phone [PictBridge]
@@ -13239,6 +13635,7 @@
 	2137  Xperia X10 mini (USB debug)
 	2138  Xperia X10 mini pro (Debug)
 	2149  Xperia X8 (debug)
+	214e  J108i Cedar (Windows-driver mode)
 	3137  Xperia X10 mini
 	3138  Xperia X10 mini pro
 	3149  Xperia X8
@@ -13276,7 +13673,7 @@
 	d0e1  MD400 Mobile Broadband Modem
 	d12a  U100i Yari Phone
 	d12e  Xperia X10
-	d14e  J108i Cedar
+	d14e  J108i Cedar (modem mode)
 	e000  K810 (PictBridge mode)
 	e039  K800i (msc mode)
 	e042  W810i Phone
@@ -13295,6 +13692,7 @@
 	e112  W995 Phone (Mass Storage)
 	e12e  X10i Phone
 	e133  Vivaz
+	e14e  J108i Cedar (mass-storage mode)
 	e14f  Xperia Arc/X12
 	e15a  Xperia Pro [Mass Storage Class]
 	e161  Xperia Ray
@@ -13380,11 +13778,13 @@
 	61f9  Optimus (Various Models) MTP Mode
 	61fc  Optimus 3
 	61fe  Optimus Android Phone [USB tethering mode]
-	6300  Optimus Android Phone
+	6300  G2/Optimus Android Phone
 	631c  G2/Optimus Android Phone [MTP mode]
 	631d  Optimus Android Phone (Camera/PTP Mode)
 	631e  G2/Optimus Android Phone [Camera/PTP mode]
 	631f  Optimus Android Phone (Charge Mode)
+	633e  G2 Android Phone [MTP mode]
+	6344  G2 Android Phone [tethering mode]
 	6356  Optimus Android Phone [Virtual CD mode]
 	6800  CDMA Modem
 	7000  LG LDP-7024D(LD)USB
@@ -13674,6 +14074,7 @@
 1076  GCT Semiconductor, Inc.
 	0031  Bluetooth Device
 	0032  Bluetooth Device
+	8002  LU150 LTE Modem [Yota LU150]
 107b  Gateway, Inc.
 	3009  eHome Infrared Transceiver
 	55b2  WBU-110 802.11b Wireless Adapter [Intersil PRISM 3]
@@ -14074,6 +14475,28 @@
 	1003  IBSecureCam-P
 	1004  IBSecureCam-O
 	1005  IBSecureCam-N
+	1006  Mini IO-Board
+	2000  Zygmunt Krynicki Lantern Brightness Sensor
+	2048  Housedillon.com MRF49XA Transciever
+	2222  LabConnect Signalgenerator
+	2300  Keyboardio Keyboardio Model 01 Bootloader
+	2301  Keyboardio Keyboardio Model 01
+	2337  /Dev or SlashDev /Net
+	3000  lloyd3000
+	3333  LabConnect Digitalnetzteil
+	5222  telavivmakers attami
+	5a22  ikari_01 sd2snes
+	7bd0  pokey9000 Tiny Bit Dingus
+	abd0  tibounise ADB converter
+	beef  Modal MC-USB
+	c0f5  unethi PERswitch
+	ca1c  KnightOS Hub
+	ca1d  KnightOS MTP Device
+	cafe  ii iigadget
+	dada  Rebel Technology OWL
+	dead  chaosfield.at AVR-Ruler
+	fa11  moonglow OpenXHC
+	feed  ProgramGyar AVR-IR Sender
 120e  Hudson Soft Co., Ltd
 120f  Magellan
 	524e  RoadMate 1475T
@@ -14084,6 +14507,8 @@
 	001c  RP255 Guitar Multi-Effects Processor
 121e  Jungsoft Co., Ltd
 	3403  Muzio JM250 Audio Player
+1221  Unknown manufacturer
+	3234  Disk (Thumb drive)
 1223  SKYCABLE ENTERPRISE. CO., LTD.
 1228  Datapaq Limited
 	0012  Q18 Data Logger
@@ -14271,8 +14696,8 @@
 	140b  EC1260 Wireless Data Modem HSD USB Card
 	140c  E180v
 	1412  EC168c
-	1436  E173 3G Modem (modem-mode)
-	1446  E1552/E1800/E173 (HSPA modem)
+	1436  Broadband stick
+	1446  Broadband stick (modem on)
 	1465  K3765 HSPA
 	14c3  K5005 Vodafone LTE/UMTS/GSM Modem/Networkcard
 	14c8  K5005 Vodafone LTE/UMTS/GSM MOdem/Networkcard
@@ -14292,7 +14717,7 @@
 	1575  K5150 LTE modem
 	15ca  E3131 3G/UMTS/HSPA+ Modem (Mass Storage Mode)
 	1805  AT&T Go Phone U2800A phone
-	1c05  E173s 3G broadband stick (modem on)
+	1c05  Broadband stick (modem on)
 	1c0b  E173s 3G broadband stick (modem off)
 	1c20  R205 Mobile WiFi (Charging)
 	1d50  ET302s TD-SCDMA/TD-HSDPA Mobile Broadband
@@ -14578,6 +15003,7 @@
 	3375  Atheros AR3012 Bluetooth 4.0 Adapter
 	3392  Azurewave 43228+20702
 	3394  Bluetooth
+	3474  Atheros AR3012 Bluetooth
 	5070  Webcam
 	5111  Integrated Webcam
 	5115  Integrated Webcam
@@ -14894,11 +15320,31 @@
 	8400  INI DVS128
 	840d  INI DAViS
 	841a  INI DAViS FX3
-152b  FLYTECH Technology CO Ltd
-	0003  M.I.R. srl Minispir
+152b  MIR Srl
+	0001  spirobank II
+	0002  spirolab III
+	0003  MiniSpir
+	0004  Oxi
+	0005  spiros II
+	0006  smiths spirobank II
+	0007  smiths spirobank G-USB
+	0008  smiths MiniSpir
+	0009  spirobank G-USB
+	000a  smiths Oxi
+	000b  smiths spirolab III
+	000c  chorus III
+	000d  spirolab III Bw
+	000e  spirolab III
+	000f  easySpiro
+	0010  Spirotel converter
+	0011  spirobank
+	0012  spiro3 Zimmer
+	0013  spirotel serial
+	0014  spirotel II
+	0015  spirodoc
 152d  JMicron Technology Corp. / JMicron USA Technology Corp.
 	0539  JMS539/567 SuperSpeed SATA II/III 3.0G/6.0G Bridge
-	0567  JMS567 SATA 6.0Gb/s bridge
+	0567  JMS567 SATA 6Gb/s bridge
 	0770  Alienware Integrated Webcam
 	2329  JM20329 SATA Bridge
 	2335  ATA/ATAPI Bridge
@@ -14908,6 +15354,11 @@
 	2339  JM20339 SATA Bridge
 	2352  ATA/ATAPI Bridge
 	2509  JMS539 SuperSpeed SATA II 3.0G Bridge
+	2551  JMS551 SATA 3Gb/s bridge
+	2566  JMS566 SATA 3Gb/s bridge
+	2590  Seatay ATA/ATAPI Bridge
+	3562  JMS567 SATA 6Gb/s bridge
+	3569  JMS566 SATA 3Gb/s bridge
 152e  LG (HLDS)
 	2507  PL-2507 IDE Controller
 	e001  GSA-5120D DVD-RW
@@ -14932,6 +15383,7 @@
 	1181  Cinergy S2 PCIe Dual Port 1
 	1182  Cinergy S2 PCIe Dual Port 2
 1546  U-Blox AG
+	01a5  NL-402U
 1547  SG Intec Ltd & Co KG
 	1000  SG-Lock[U2]
 154a  Celectronic GmbH
@@ -14940,9 +15392,13 @@
 	0010  USB 2.0 Flash Drive
 	0048  Flash Drive
 	004d  8 GB Flash Drive
+	0053  Flash Drive
 	0057  32GB Micro Slide Attache Flash Drive
-	007a  8GB Classic Attache Flash Drive
+	005b  Flash Drive
+	0062  Flash Drive
+	007a  Classic Attache Flash Drive
 	6545  FD Device
+	fa05  Flash Drive
 154d  ConnectCounty Holdings Berhad
 154e  D&M Holdings, Inc. (Denon/Marantz)
 	3000  Marantz RC9001 Remote Control
@@ -15002,6 +15458,7 @@
 	0006  Wireless 11n USB Adapter
 	0010  802.11n USB Wireless Card
 	0012  WUBR-208N 802.11abgn Wireless Adapter [Ralink RT2870]
+	002d  WLTUBA-107 [Yota 4G LTE]
 15aa  Gearway Electronics (Dong Guan) Co., Ltd.
 15ad  VMware Inc.
 15ba  Olimex Ltd.
@@ -15182,6 +15639,8 @@
 	0404  WMA9109 UMTS Phone
 	0600  Vodafone VDA GPS / Toschiba Protege G710
 	0804  WP-S1 Phone
+1617  Sony Corp.
+	2002  NVX-P1 Personal Navigation System
 1619  L & K Precision Technology Co., Ltd.
 1621  Wionics Research
 1628  Stonestreet One, Inc.
@@ -15194,7 +15653,7 @@
 1631  Good Way Technology
 	6200  GWUSB2E
 	c019  RT2573
-1645  Cross Match Technologies GmbH
+1645  Entrega [hex]
 	0001  1S Serial Port
 	0002  2S Serial Port
 	0003  1S25 Serial Port
@@ -15233,6 +15692,8 @@
 165c  Kondo Kagaku
 	0002  Serial Adapter
 1660  Creatix Polymedia GmbH
+1667  GIGA-TMS INC.
+	0005  PCR330A RFID Reader (125 kHz, keyboard emulation)
 1668  Actiontec Electronics, Inc. [hex]
 	0009  Gateway
 	0333  Modem
@@ -15281,6 +15742,7 @@
 1687  Kingmax Digital Inc.
 	5289  FlashDisk
 	6211  FlashDisk
+	6213  FlashDisk
 1688  Saab AB
 1689  Razer USA, Ltd
 	fd00  Onza Tournament Edition controller
@@ -15373,6 +15835,8 @@
 	05e4  Free shared USB VID/PID pair for MIDI devices
 	06b4  USB2LPT with 2 interfaces
 	06b5  USB2LPT with 3 interfaces (native, HID, printer)
+	074e  DSP-Weuffen USB-HPI-Programmer
+	074f  DSP-Weuffen USB2-HPI-Programmer
 	0762  Osmocom SIMtrace
 	076b  OpenPCD 13.56MHz RFID Reader
 	076c  OpenPICC 13.56MHz RFID Simulator (native)
@@ -15446,6 +15910,7 @@
 	0011  MIDI-USB 1x1
 170d  Avnera
 1711  Leica Microsystems
+	0101  DFC-365FX camera
 	3020  IC80 HD Camera
 1724  Meyer Instruments (MIS)
 	0115  PAXcam5
@@ -15499,9 +15964,12 @@
 1748  MQP Electronics
 	0101  Packet-Master USB12
 174c  ASMedia Technology Inc.
-	5106  Transcend StoreJet 25M3
+	1153  ASM2115 SATA 6Gb/s bridge
+	2074  ASM1074 High-Speed hub
+	3074  ASM1074 SuperSpeed hub
+	5106  ASM1051 SATA 3Gb/s bridge
 	5136  ASM1053 SATA 6Gb/s bridge
-	55aa  ASM1051 SATA 3Gb/s bridge
+	55aa  ASM1051E SATA 6Gb/s bridge, ASM1053E SATA 6Gb/s bridge, ASM1153 SATA 3Gb/s bridge
 174f  Syntek
 	1105  SM-MS/Pro-MMC-XD Card Reader
 	110b  HP Webcam
@@ -15541,10 +16009,22 @@
 	083e  MetaGeek Wi-Spy
 	083f  MetaGeek Wi-Spy 2.4x
 	0938  Iguanaworks USB IR Transceiver
+	0a96  raphnet.net usb_game12
+	0a97  raphnet.net SNES mouse adapter
+	0a98  raphnet.net USBTenki
+	0a99  raphnet.net NES
+	0a9a  raphnet.net Gamecube/N64 controller
+	0a9b  raphnet.net DB9Joy
+	0a9c  raphnet.net Intellivision
+	0a9d  raphnet.net 4nes4snes
+	0a9e  raphnet.net Megadrive multitap
+	0a9f  raphnet.net MultiDB9joy
 	0c30  Telldus TellStick
 	0c31  Telldus TellStick Duo
 	0c9f  USBtiny
 	1eef  OpenAPC SecuKey
+	1ef0  E1701 Modular Controller Card
+	1ef1  E1701 Modular Controller Card
 1782  Spreadtrum Communications Inc.
 1784  TopSeed Technology Corp.
 	0001  eHome Infrared Transceiver
@@ -15892,6 +16372,10 @@
 1995  Trillium Technology Pty. Ltd.
 	3202  REC-ADPT-USB (recorder)
 	3203  REC-A-ADPT-USB (recorder)
+1996  PixeLINK
+	3010  Camera Release 4
+	3011  OEM Camera
+	3012  e-ImageData Corp. ScanPro
 199b  MicroStrain, Inc.
 	3065  3DM-GX3-25 Orientation Sensor
 199e  The Imaging Source Europe GmbH
@@ -16262,13 +16746,20 @@
 	1200  LE920
 1bce  Contac Cable Industrial Limited
 1bcf  Sunplus Innovation Technology Inc.
+	0005  Optical Mouse
 	0007  Optical Mouse
 	053a  Targa Silvercrest OMC807-C optische Funkmaus
 	05c5  SPRF2413A [2.4GHz Wireless Keyboard/Mouse Receiver]
 	05cf  Micro keyboard & mouse receiver
 	0c31  SPIF30x Serial-ATA bridge
+	2880  Dell HD Webcam
 	2885  ASUS Webcam
 	2888  HP Universal Camera
+	28a2  Dell Integrated Webcam
+	28a6  DELL XPS Integrated Webcam
+	28ae  Laptop Integrated Webcam HD
+	28bd  Dell Integrated HD Webcam
+	2985  Laptop Integrated Webcam HD
 	2b83  Laptop Integrated Webcam FHD
 1bd0  Hangzhou Riyue Electronic Co., Ltd.
 1bd5  BG Systems, Inc.
@@ -16538,6 +17029,7 @@
 	0628  Data capturing and control module
 1f4d  G-Tek Electronics Group
 	b803  Lifeview LV5TDLX DVB-T [RTL2832U]
+	d220  Geniatech T220 DVB-T2 TV Stick
 1f6f  Aliph
 	0023  Jawbone Jambox
 	8000  Jawbone Jambox - Updating
@@ -16629,6 +17121,8 @@
 	f117  Formosa 3
 	f118  Formosa 4
 2002  DAP Technologies
+2003  detectomat
+	ea61  dc3500
 200c  Reloop
 	100b  Play audio soundcard
 2013  PCTV Systems
@@ -16661,6 +17155,8 @@
 	ed16  GW-USMicroN2W 802.11bgn Wireless Adapter [Realtek RTL8188SU]
 	ed17  GW-USValue-EZ 802.11n Wireless Adapter [Realtek RTL8188CUS]
 	ed18  GW-USHyper300 / GW-USH300N 802.11bgn Wireless Adapter [Realtek RTL8191SU]
+203d  Encore Electronics Inc.
+	1480  ENUWI-N3 [802.11n Wireless N150 Adapter]
 2040  Hauppauge
 	0c80  Windham
 	0c90  Windham
@@ -16706,11 +17202,16 @@
 	0200  MSP430 USB HID Bootstrap Loader
 	0855  Invensense Embedded MotionApp HID Sensor
 	0964  Inventio Software MSP430
+2058  Nano River Technology
+	2058  ViperBoard I2C, SPI, GPIO interface
+2077  Taicang T&W Electronics Co. Ltd
+	9002  W1M100 HSPA/WCDMA Module
 2080  Barnes & Noble
 	0001  nook
 	0002  NOOKcolor
 	0003  NOOK Simple Touch
 	0004  NOOK Tablet
+2086  SIMPASS
 2087  Cando
 	0a01  Multi Touch Panel
 	0a02  Multi Touch Panel
@@ -16733,12 +17234,43 @@
 	1db6  IDBG in normal mode
 	c25b  C2 Dongle
 	cb72  ben-wpan, cntr
+20ce  Minicircuits
+	0012  RF Sythesizer 250-4200MHz model SSG-4000LH
+	0021  RF Switch Matrix
+	0022  I/O Controller
 20df  Simtec Electronics
 	0001  Entropy Key [UDEKEY01]
+20f1  NET New Electronic Technology GmbH
+	0101  iCube3 Camera
 20f4  TRENDnet
 	648b  TEW-648UBM 802.11n 150Mbps Micro Wireless N Adapter [Realtek RTL8188CUS]
+20f7  XIMEA
+	3001  Camera with CMOS sensor [MQ]
+	3021  Camera with CCD sensor [MD]
+	30b3  Camera with CMOS sensor in Vision mode [MQ]
+	a003  Subminiature 5Mpix B/W Camera, MU9PM-MH
+2100  RT Systems
+	9e52  Yaesu VX-7
+	9e54  CT29B Radio Cable
+	9e57  RTS01 Radio Cable
+	9e5d  K4Y Radio Cable
+	9e5f  FT232RL [RTS05 Serial Cable]
 2101  ActionStar
 	0201  SIIG 4-to-2 Printer Switch
+2109  VIA Labs, Inc.
+	0700  VL700 SATA 3Gb/s bridge
+	0701  VL701 SATA 3Gb/s bridge
+	0810  VL81x Hub
+	0811  Hub
+	0812  VL812 Hub
+	2811  Hub
+	2812  VL812 Hub
+	3431  Hub
+	8110  Hub
+2113  Softkinetic
+	0137  DepthSense 311 (3D)
+	0145  DepthSense 325
+	8000  DepthSense 311 (Color)
 2149  Advanced Silicon S.A.
 	211b  Touchscreen Controller
 	2703  TS58xxA/TC56xxA [CoolTouch]
@@ -16769,6 +17301,15 @@
 	6323  USB Electronic Scale
 2237  Kobo Inc.
 	4161  eReader White
+225d  Morpho
+	0001  FINGER VP Multimodal Biometric Sensor
+	0008  CBM-E3 Fingerprint Sensor
+	0009  CBM Fingerprint Sensor [CBM-V3]
+	000a  MSO1300-E3 Fingerprint Sensor
+	000b  MSO1300 Fingerprint Sensor [MSO1300-V3]
+	000c  MSO1350-E3 Fingerprint Sensor & SmartCard Reader
+	000d  MSO1350 Fingerprint Sensor & SmartCard Reader [MSO1350-V3]
+	000e  MorphoAccess SIGMA Biometric Access Control Terminal
 228d  8D Technologies inc.
 	0001  Terminal Bike Key Reader
 22a6  Pie Digital, Inc.
@@ -16933,6 +17474,9 @@
 2478  Tripp-Lite
 	2008  U209-000-R Serial Port
 249c  M2Tech s.r.l.
+24e1  Paratronic
+	3001  Adp-usb
+	3005  Radius
 2632  TwinMOS
 	3209  7-in-1 Card Reader
 2639  Xsens
@@ -17023,6 +17567,22 @@
 	3300  WL-140 / Hawking HWU36D 802.11b Wireless Adapter [Intersil PRISM 3]
 2899  Toptronic Industrial Co., Ltd
 	012c  Camera Device
+289b  Dracal/Raphnet technologies
+	0001  Gamecube/N64 controller v2.2
+	0002  2nes2snes
+	0003  4nes4snes
+	0004  Gamecube/N64 controller v2.3
+	0005  Saturn (Joystick mode)
+	0006  Saturn (Mouse mode)
+	0007  Famicom controller
+	0008  Dreamcast (Joystick mode)
+	0009  Dreamcast (Mouse mode)
+	000a  Dreamcast (Keyboard mode)
+	000b  Gamecube/N64 controller v2.9 (Keyboard mode)
+	000c  Gamecube/N64 controller v2.9 (Joystick mode)
+	0100  Dual-relay board
+	0500  Energy meter
+	0502  Precision barometer
 2931  Jolla Oy
 	0a01  Jolla Phone MTP
 	0a02  Jolla Phone Developer
@@ -17039,7 +17599,7 @@
 	003c  Arduino Explora (bootloader)
 	003d  Arduino Due (usb2serial)
 	003e  Arduino Due
-	0041  Arduino Yùn (bootloader)
+	0041  Arduino Yun (bootloader)
 	0042  Arduino Mega 2560 Rev3
 	0043  Arduino Uno Rev3
 	004d  Arduino Zero Pro (bootloader)
@@ -17050,8 +17610,19 @@
 	8039  Arduino Robot Motor (CDC ACM)
 	803a  Arduino Micro ADK rev3 (CDC ACM)
 	803c  Arduino Explora (CDC ACM)
-	8041  Arduino Yùn (CDC ACM)
+	8041  Arduino Yun (CDC ACM)
 	804d  Arduino Zero Pro (CDC ACM)
+2a37  RTD Embedded Technologies, Inc.
+	5110  UPS35110/UPS25110
+2a45  Meizu Corp.
+	0001  MX Phone (BICR)
+	0c02  MX Phone (MTP & ADB)
+	0c03  MX Phone (BICR & ADB)
+	2008  MX Phone (MTP)
+	200a  MX Phone (MTP & ACM & ADB)
+	200b  MX Phone (PTP)
+	200c  MX Phone (PTP & ADB)
+	2012  MX Phone (MTP & ACM)
 2c02  Planex Communications
 	14ea  GW-US11H WLAN
 2c1a  Dolphin Peripherals
@@ -17087,6 +17658,8 @@
 	0054  Flash Drive (2GB)
 3579  DIVA
 	6901  Media Reader
+357d  Sharkoon
+	7788  QuickPort XT
 3636  InVibro
 3838  WEM
 	0001  5-in-1 Card Reader
@@ -17351,6 +17924,8 @@
 	b200  Compact Flash Reader
 	b204  MMC/ SD Reader
 	b207  Memory Stick Reader
+5654  Gotview
+	ca42  MasterHD 3
 5656  Uni-Trend Group Limited
 	0832  UT2000/UT3000 Digital Storage Oscilloscope
 595a  IRTOUCHSYSTEMS Co. Ltd.
@@ -17444,6 +18019,8 @@
 734c  TBS Technologies China
 	5920  Q-Box II DVB-S2 HD
 	5928  Q-Box II DVB-S2 HD
+7373  Beijing STONE Technology Co. Ltd.
+	5740  Intelligent TFT-LCD Module
 7392  Edimax Technology Co., Ltd
 	7711  EW-7711UTn nLite Wireless Adapter [Ralink RT2870]
 	7717  EW-7717UN 802.11n Wireless Adapter [Ralink RT2870]
@@ -17506,7 +18083,6 @@
 	2000  Flashdisk
 8564  Transcend Information, Inc.
 	1000  JetFlash
-		8564 1000  JetFlash
 	4000  RDF8
 8644  Intenso GmbG
 	8003  Micro Line
@@ -17541,6 +18117,8 @@
 	8988  V.cap Camera Device
 9ac4  J. Westhues
 	4b8f  ProxMark-3 RFID Instrument
+9e88  Marvell Semiconductor, Inc.
+	9e8f  Plug Computer Basic [SheevaPlug]
 a128  AnMo Electronics Corp. / Dino-Lite (?)
 	0610  Dino-Lite Digital Microscope (SN9C201 + HV7131R)
 	0611  Dino-Lite Digital Microscope (SN9C201 + HV7131R)
